[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageListResolutionEnumerator.Create

Constructor for the class instance.

## Declaration

Source position: imglist.pp line 258

`public constructor TCustomImageListResolutionEnumerator.Create(`
`AImgList: TCustomImageList;`
`ADesc: Boolean`
`);`

## Arguments

`AImgList` |  | Image list that owns the image resolutions in the enumerator.
`ADesc` |  | Indicates if the enumerator navigates in descending order.

## Description

Create is the constructor for the class instance. Create calls the inherited constructor.

AImgList contains the TCustomImageList instance which contains the image resolutions visited in the enumerator.

ADesc determines the navigation order for image resolutions in the enumerator. When ADesc is True, the enumerator is navigated in reverse (descending) order for the image resolutions. When ADesc is False, the enumerator is navigated in ascending image size order.

Create sets the initial value in the Current property to reflect the navigation order specified in ADesc. The initial value indicates that Current is positioned just prior to the first item for the navigation order; TCustomImageListResolutions.Count for descending navigation order, -1 for ascending navigation order.

Use MoveNext to navigate to the first and subsequent image resolution for the enumerator.

Use Current to access the current image resolution in the enumerator.

## See also

TCustomImageListResolutionEnumerator.Current |  | The current image resolution for the enumerator.
TCustomImageListResolutionEnumerator.MoveNext |  | Moves to the next image resolution for the enumerator.
TCustomImageListResolutions.Count |  | Number of image resolutions stored in the container.
TCustomImageList |  | The base class for TImageList.